#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tree-diff
version:              0.3.0.1
visibility:           public
id:                   tree-diff-0.3.0.1-Cwdb0O1wMHvLm2PKeFss2d
key:                  tree-diff-0.3.0.1-Cwdb0O1wMHvLm2PKeFss2d
license:              GPL-2.0-or-later
copyright:            (c) 2017-2021 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/tree-diff
synopsis:             Diffing of (expression) trees.
description:
    Common diff algorithm works on list structures:

    @
    diff :: Eq a => [a] -> [a] -> [Edit a]
    @

    This package works on trees.

    @
    treeDiff :: Eq a => Tree a -> Tree a -> Edit (EditTree a)
    @

    This package also provides a way to diff arbitrary ADTs,
    using @Generics@-derivable helpers.

    This package differs from <http://hackage.haskell.org/package/gdiff gdiff>,
    in a two ways: @tree-diff@ doesn'\''t have patch function,
    and the "edit-script" is a tree itself, which is useful for pretty-printing.

    @
    >>> prettyEditExpr $ ediff (Foo 42 [True, False] "old") (Foo 42 [False, False, True] "new")
    Foo
    \  {fooBool = [-True, +False, False, +True],
    \   fooInt = 42,
    \   fooString = -"old" +"new"}
    @

category:             Data, Testing
abi:                  c9ba431ed5d028bbbfb9f0b083be0d28
exposed:              True
exposed-modules:
    Data.TreeDiff Data.TreeDiff.Class Data.TreeDiff.Expr
    Data.TreeDiff.Golden Data.TreeDiff.List Data.TreeDiff.OMap
    Data.TreeDiff.Parser Data.TreeDiff.Pretty Data.TreeDiff.QuickCheck
    Data.TreeDiff.Tree

import-dirs:          /usr/lib/ghc-9.2.8/site-local/tree-diff-0.3.0.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/tree-diff-0.3.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tree-diff
hs-libraries:         HStree-diff-0.3.0.1-Cwdb0O1wMHvLm2PKeFss2d
depends:
    QuickCheck-2.14.3-GYIzHRC98oX2ojVETG14rD
    aeson-2.1.2.1-EcnOkqJy6qkFyx4PSoTHhT
    ansi-terminal-1.0-FJLEfMIg8XB3hMaFI0FBBX
    ansi-wl-pprint-0.6.9-KcY7h5wKQKK5kK7g0iTPq8 base-4.16.4.0
    base-compat-0.12.2-5hQPtIjgG5LKnb20qwjRWd bytestring-0.11.4.0
    containers-0.6.5.1 data-array-byte-0.1.0.1-6RaQWc9qixK5rBaB40CxXf
    deepseq-1.4.6.1 hashable-1.4.4.0-7BSyPsBurXt9vEzyIgxmkb
    parsec-3.1.15.0 parsers-0.12.12-6jUV6Pu5cyF7uQytic0HJA
    pretty-1.1.3.6 primitive-0.7.4.0-2yvrjkKbYif9hwxczpmLrN
    scientific-0.3.7.0-KltKYIXlMCy1e9qM9TkhQF
    semialign-1.3-ARqT3wD7LynGSEHRdHvg1V
    strict-0.5-GsSzQFSy1kciJuHhOyxC9
    tagged-0.8.9-KXBukbFHRBNBMyyfjfj7aP text-1.2.5.0
    these-1.2-7woXOplTFw45blGyrd47k2 time-1.11.1.1
    unordered-containers-0.2.20-DtI6Ump4gwL4XOoZ2vYwmp
    uuid-types-1.0.5.1-a6Szu1QAhJle4QDLbYrb
    vector-0.13.1.0-fp7g3DnwvJ21p5JSIbLxP

haddock-interfaces:   /usr/share/doc/haskell-tree-diff/html/tree-diff.haddock
haddock-html:         /usr/share/doc/haskell-tree-diff/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

